Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417223 - [RFE] support shared storage between satellite server and capsules
Summary: [RFE] support shared storage between satellite server and capsules
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 15:24 UTC by Chris Duryee
Modified: 2021-06-03 12:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:07:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 25678 0 Normal Needs design Support shared storage between foreman and proxies 2020-12-10 09:07:19 UTC
Red Hat Bugzilla 1443138 0 medium CLOSED Customizations from the perf & scale tuning guide are wiped on every upgrade 2021-06-10 12:12:08 UTC

Internal Links: 1443138

Description Chris Duryee 2017-01-27 15:24:03 UTC
Description of problem:

Satellite currently requires kicking off a sync process to get repo data from a satellite to the capsules. This is useful in many scenarios, but if the customer is using the capsules for horizontal scaling in the same datacenter, the additional sync processes can cause both unnecessary overhead, and create different repo metadata between capsules. If a client expects to bounce around between capsules that are behind a VIP, this can cause 404s.

One solution to this problem is to mount the Satellite server's /var/lib/pulp/published and /var/lib/pulp/content read-only on the capsules. This lets the capsule serve exactly what the Satellite has, without having to kick off a sync process. Additionally, it makes the content the same across capsules. This makes it easier to use a VIP in front of them.

Comment 3 Andrew Schofield 2017-11-07 21:45:43 UTC
Thanks Chris. Can this be enhanced such that one can choose to make a push to a capsule and replicate this within a dc between capsules in that DC.

Globally replicated storage isn't an option here and we need regional segregation / seperation (in case of outages etc).

We also have 4 capsules per region which sit behind a load balancer which we could attach replicated storage to so long as we can still replicate if any of the nodes were to drop.

Comment 4 Bryan Kearney 2018-09-04 18:56:41 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 5 Bryan Kearney 2018-09-04 19:07:14 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 6 Bryan Kearney 2018-09-04 23:03:14 UTC
This should not have been clsoed in my mass closing. I am re-opening.

Comment 7 Ondřej Pražák 2018-12-13 10:48:43 UTC
Created redmine issue http://projects.theforeman.org/issues/25678 from this bug


Note You need to log in before you can comment on or make changes to this bug.